import dynamix_sdk.base as _base


class CloudapiK8sGetNodeLabelsResultStr(_base.BaseAPIResultStr):
    pass


class CloudapiK8sGetNodeLabelsProtocol(_base.BasePostAPIFunctionProtocol):
    def get_node_labels(
        self,
        *,
        k8s_id: int,
        node_id: int,
    ) -> CloudapiK8sGetNodeLabelsResultStr:
        ...
